This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

ListBaselineAssignments

1 - 1.2

get /v1/baseline-assignments

Description

get baseline assignment list

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
Landing Zone ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
queryresource_type
optional
OU/Account
Example : OU
any of [enum (OU, ACCOUNT), null]None
queryassignment_id
optional
Root/Organization Unit/Account ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
any of [string, null]None
querystatus
optional
State
Example : REGISTRATION_FAILED
any of [enum (REGISTERED, REGISTRATION_FAILED, REGISTERING, UNREGISTERING), null]None

Responses

HTTP CodeDescriptionSchema
200OKBaselineAssignmentListResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/baseline-assignments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.2"

Example HTTP response

Response 200

{
    "baseline_assignments": [
        {
            "account_assigned_count": 3,
            "account_count": 4,
            "detective_guardrail_status": "ENABLED",
            "detective_guardrail_type": "SSI",
            "id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
            "ou_assigned_count": 5,
            "ou_count": 10,
            "preventive_guardrail_activated_count": 8,
            "sso_user_name": "testuser",
            "status": "REGISTERED",
            "type": "OU"
        }
    ]
}

2 - 1.1

get /v1/baseline-assignments

Description

get baseline assignment list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260630

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
Landing Zone ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
queryresource_type
optional
OU/Account
Example : OU
any of [enum (OU, ACCOUNT), null]None
queryassignment_id
optional
Root/Organization Unit/Account ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
any of [string, null]None
querystatus
optional
State
Example : REGISTRATION_FAILED
any of [enum (REGISTERED, REGISTRATION_FAILED, REGISTERING, UNREGISTERING), null]None

Responses

HTTP CodeDescriptionSchema
200OKBaselineAssignmentListResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/baseline-assignments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"

Example HTTP response

Response 200

{
    "baseline_assignments": [
        {
            "account_assigned_count": 3,
            "account_count": 4,
            "detective_guardrail_status": "ENABLED",
            "detective_guardrail_type": "SSI",
            "id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
            "ou_assigned_count": 5,
            "ou_count": 10,
            "preventive_guardrail_activated_count": 8,
            "sso_user_name": "testuser",
            "status": "REGISTERED",
            "type": "OU"
        }
    ]
}

3 - 1.0

get /v1/baseline-assignments

Description

get baseline assignment list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
Landing Zone ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
queryresource_type
optional
OU/Account
Example : OU
any of [enum (OU, ACCOUNT), null]None
queryassignment_id
optional
Root/Organization Unit/Account ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
any of [string, null]None
querystatus
optional
State
Example : REGISTRATION_FAILED
any of [enum (REGISTERED, REGISTRATION_FAILED, REGISTERING, UNREGISTERING), null]None

Responses

HTTP CodeDescriptionSchema
200OKBaselineAssignmentListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/baseline-assignments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "baseline_assignments": [
        {
            "account_assigned_count": 3,
            "account_count": 4,
            "id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
            "ou_assigned_count": 5,
            "ou_count": 10,
            "preventive_guardrail_activated_count": 8,
            "sso_user_name": "testuser",
            "status": "REGISTERED",
            "type": "OU"
        }
    ]
}